Subject: Re: [IPP] IPP WG Last Call: IPP Everywhere Printer Self-Certification Tools v1.1 Update 4

From: ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]>
Date: Tue, 22 Mar 2022 00:56:42 +0000

Hi Steven,

So sorry for not looking into this earlier. 😞

I just checked, and confirmed that the changes made in commit e6a482e285f4d86b583d948ca16b53cbed6054c3 ("Resolution for Issue <https://github.com/istopwg/ippeveselfcert/commit/e6a482e285f4d86b583d948ca16b53cbed6054c3> #70 <https://github.com/istopwg/ippeveselfcert/issues/70>") are in the ipp-tests.test file distributed in the release listed below. (I checked the macOS .zip file - it is possible that there are inconsistencies in the builds but I don't have access to a Windows system currently.) So those changes haven't been lost. Which makes me wonder what is causing your problems with the IPP Everywhere Self-Certification 1.1 Update 4.

If you are still seeing failures with your printers and this 1.1 Update 4, can you privately send me the terminal traces from those runs so I can see where the failures are now occurring?

Smith

/**
    Smith Kennedy
    HP Inc.
*/

> On Feb 28, 2022, at 6:49 PM, ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]> wrote:
> 
> Signed PGP part
> Hi Steven,
> 
> I'll look into that in a few minutes. Sorry for the delay.
> 
> Smith
> 
> /**
>     Smith Kennedy
>     HP Inc.
> */
> 
>> On Feb 25, 2022, at 7:21 PM, Steven Young <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Michael and Smith,
>> 
>> I have received a quick response from Canon Inc in testing the newly released IPP Everywhere Self-Cert 1.1 Update 4. They found the fix Smith Kennedy made for request #70 "finishings-col-default is not expected in IPP Everywhere Printer Self-Certification Tools" is not included in this release. Can you please make the change to include the fix in Update 4.
>> 
>> Regards,
>> 
>> Steven
>> 
>> -----Original Message-----
>> From: Steven Young
>> Sent: Friday, February 25, 2022 4:59 PM
>> To: Michael Sweet <[email-masked] <mailto:[email-masked]>>; PWG IPP Workgroup <[email-masked] <mailto:[email-masked]>>; ISTO-PWG IPP Everywhere Self-Certification discussion forum <[email-masked] <mailto:[email-masked]>>
>> Subject: RE: IPP WG Last Call: IPP Everywhere Printer Self-Certification Tools v1.1 Update 4
>> 
>> Michael,
>> 
>> Thank you very much. I will forward the information to Canon Inc for them to test their SELPHY printer using this new tool.
>> 
>> Regards,
>> 
>> Steven
>> 
>> -----Original Message-----
>> From: Michael Sweet <[email-masked] <mailto:[email-masked]>>
>> Sent: Friday, February 25, 2022 4:53 PM
>> To: PWG IPP Workgroup <[email-masked] <mailto:[email-masked]>>; ISTO-PWG IPP Everywhere Self-Certification discussion forum <[email-masked] <mailto:[email-masked]>>
>> Cc: Steven Young <[email-masked] <mailto:[email-masked]>>
>> Subject: IPP WG Last Call: IPP Everywhere Printer Self-Certification Tools v1.1 Update 4
>> 
>> All,
>> 
>> I have posted candidate builds of the IPP Everywhere Printer Self-Certification Tools v1.1 Update 4 to:
>> 
>> https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-macos.zip <https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-macos.zip>
>> https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-rhel.tar.gz <https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-rhel.tar.gz>
>> https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-ubuntu.tar.gz <https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-ubuntu.tar.gz>
>> https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-windows.msi <https://ftp.pwg.org/pub/pwg/ipp/wd/sw-ippeveselfcert11-20220225-windows.msi>
>> 
>> These tools fix all of the known bugs in the self-certification tools and have been tested locally by me on some existing IPP Everywhere printers as well as the ippeveprinter test server. Changes include:
>> 
>> - Added support for running the self-certification tools non-interactively
>> with the "make test" command (Issue #56, Issue #62)
>> - The `ippevesubmit` program did not validate the correct number of tests for
>> the document results (Issue #71)
>> - The DNS-SD TLS key test was incorrectly specified (Issue #72)
>> - The `ippevesubmit` program now validates and converts product web page URLs
>> (Issue #75)
>> - The IPP and document tests now support printers that do not support US letter
>> or ISO A4 sizes (Issue #78)
>> - The `ipptool` program can now generate PWG Raster documents dynamically for
>> printers (Issue #79)
>> - The `ippevesubmit` program now uses the modification date of the plist files
>> instead of the current date when generating the JSON submission file
>> (Issue #81)
>> - The `ippfind` program did not correctly escape command-line arguments passed
>> during the DNS-SD tests (Issue #83)
>> - Fixed the conditional requirements for "printer-supply-xxx" attributes with
>> printers that do not have supplies.
>> - Fixed some problems with the Windows DNS-SD test script.
>> 
>> Note: The new tools no longer depend on downloading PWG raster files - they are capable of generating the necessary raster test files on the fly and support all media sizes, most color spaces (all but the Device-N ones), all bit depths, and all duplex modes ("pwg-raster-document-sheet-back" values).  Thus, a much wider range of printers should be supported by the tools.
>> 
>> Please test these tools against your own printers and report on successes as well as any problems you run into, either by replying to this message *or* by using the Github issue tracker at:
>> 
>> https://github.com/istopwg/ippeveselfcert/issues <https://github.com/istopwg/ippeveselfcert/issues>
>> 
>> The plan is to release these builds no sooner than March 11th, and only after I have received at least two positive testing results.
>> 
>> Enjoy!
>> 
>> ________________________
>> Michael Sweet
>> 
>> 
> 
> 

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp